\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\clip(-4.5,-1.5) rectangle (3,3.5);
\fill[line width=1.5pt,color=A2,fill=A2] (0,0) -- (2,0) -- (2,2) -- (0,2) -- cycle;
\draw[line width=1.5pt] (1.576,2) -- (1.576,1.576) -- (2,1.576) -- (2,2) -- cycle; 
\draw[line width=1.5pt] (2,0.424) -- (1.576,0.424) -- (1.576,0) -- (2,0) -- cycle; 
\draw[line width=1.5pt] (0.424,0) -- (0.424,0.424) -- (0,0.424) -- (0,0) -- cycle; 
\draw [line width=1.5pt] (-4,0)-- (2,3);
\draw [line width=1.5pt] (2,3)-- (2,0);
\draw [line width=1.5pt] (2,0)-- (-4,0);
\draw [line width=1.5pt] (0,2)-- (0,0);
\draw [line width=1.5pt] (0,2)-- (2,2);
\draw [<->,line width=1.5pt] (-4,-0.25) -- (0,-0.25);
\draw [<->,line width=1.5pt] (-4,-0.75) -- (2,-0.75);
\begin{large}
\draw (-2,-0.5) node[anchor=center] {$4$};
\draw (-1,-1) node[anchor=center] {$6$};
\draw (2.75,1.5) node[anchor=center] {$3$};
\draw [<->,line width=1.5pt] (2.5,0) -- (2.5,3);
\draw[color=black] (0.25,-0.25) node {$D$};
\draw[color=black] (2.25,-0.25) node {$A$};
\draw[color=black] (2.25,2.25) node {$F$};
\draw[color=black] (-0.25,2.25) node {$E$};
\draw[color=black] (2.25,3.25) node {$C$};
\draw[color=black] (-4.25,-0.25) node {$B$};
\end{large}
\end{tikzpicture}
\end{document}